# Action

@HasImplicitReceiver
interface Action<T>

Performs some action against objects of type T.

#### Parameters

<T>

The type of object which this action accepts.

#### Inheritors

AttributeDisambiguationRule
AttributeCompatibilityRule
ComponentMetadataVersionLister
ComponentMetadataRule
ComponentMetadataSupplier

## Functions

execute
Link copied to clipboard
abstract fun execute(t: T)
Performs this action against the given object.
invoke
Link copied to clipboard
operator fun <T : Any> Action<in T>.invoke(target: T)

Enables function invocation syntax on Action references.